UPDATE: www/ap2-mod_wsgi

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

UPDATE: www/ap2-mod_wsgi

Anthony J. Bentley-4
Hi,

This diff updates ap2-mod_wsgi to 4.5.24, the latest release.

We're currently on 3.4, which is vulnerable to CVE-2014-0240, but
apparently that CVE only affects Linux between 2.6.0 and 3.1.0, due
to non-POSIX-conforming behavior of those kernels.

ok?

Index: Makefile
===================================================================
RCS file: /cvs/ports/www/ap2-mod_wsgi/Makefile,v
retrieving revision 1.5
diff -u -p -r1.5 Makefile
--- Makefile 1 Oct 2016 11:54:17 -0000 1.5
+++ Makefile 13 Jan 2018 06:23:36 -0000
@@ -2,20 +2,18 @@
 
 COMMENT= Python WSGI compliant interface module for Apache2
 
-DISTNAME= mod_wsgi-3.4
-PKGNAME= ap2-${DISTNAME}
-REVISION= 1
+PKGNAME= ap2-mod_wsgi-${GH_TAGNAME}
 
 CATEGORIES= www
 
-HOMEPAGE= https://code.google.com/p/modwsgi/
+GH_ACCOUNT= GrahamDumpleton
+GH_PROJECT= mod_wsgi
+GH_TAGNAME= 4.5.24
 
 # Apache License 2.0
 PERMIT_PACKAGE_CDROM= Yes
 
 WANTLIB += m pthread ${MODPY_WANTLIB} util
-
-MASTER_SITES= ${MASTER_SITE_GOOGLECODE:=modwsgi/}
 
 MODULES= lang/python
 
Index: distinfo
===================================================================
RCS file: /cvs/ports/www/ap2-mod_wsgi/distinfo,v
retrieving revision 1.1.1.1
diff -u -p -r1.1.1.1 distinfo
--- distinfo 29 Jan 2014 14:06:07 -0000 1.1.1.1
+++ distinfo 13 Jan 2018 06:23:36 -0000
@@ -1,2 +1,2 @@
-SHA256 (mod_wsgi-3.4.tar.gz) = roXJjp4UaECrPD5EkOZ3T5vvD5m59nn8p4ayrbW0tug=
-SIZE (mod_wsgi-3.4.tar.gz) = 122739
+SHA256 (mod_wsgi-4.5.24.tar.gz) = KeWuqgBTqe8VSnmPlzGnnQWy623edTAs6iDhERGt3ao=
+SIZE (mod_wsgi-4.5.24.tar.gz) = 683164
Index: pkg/README
===================================================================
RCS file: /cvs/ports/www/ap2-mod_wsgi/pkg/README,v
retrieving revision 1.1.1.1
diff -u -p -r1.1.1.1 README
--- pkg/README 29 Jan 2014 14:06:07 -0000 1.1.1.1
+++ pkg/README 13 Jan 2018 06:23:36 -0000
@@ -4,7 +4,7 @@ $OpenBSD: README,v 1.1.1.1 2014/01/29 14
 | Running ${FULLPKGNAME} on OpenBSD
 +-----------------------------------------------------------------------
 
-To enable the ap2-mod_wsgi module, the following line need sto be added
+To enable the ap2-mod_wsgi module, the following line needs to be added
 to ${SYSCONFDIR}/apache2/httpd2.conf:
     LoadModule wsgi_module ${PREFIX}/lib/apache2/mod_wsgi.so